Acknowledge order lines
Market availability: CA | MX | CL
Overview
The Acknowledge Order Lines API allows sellers and solution providers to acknowledge the order lines for a Walmart Marketplace order.
Endpoint
POST https://marketplace.walmartapis.com/v3/orders/{purchaseOrderID}/acknowledgeLinesEndpoint
POST https://marketplace.walmartapis.com/v3/orders/purchaseOrderID/acknowledgeLines
Function
Use this API to get return order information about:
- Order details
- Shipping information
- Order lines
- Charges
- Acknowledgment status
- Fulfillment information
- Marketplace-specific shipment information
Request sample
curl --request POST \ --url https://marketplace.walmartapis.com/v3/orders/purchaseOrderID/acknowledgeLines \ --header 'WM_GLOBAL_VERSION: 3.1' \ --header 'WM_MARKET: us' \ --header 'accept: application/json' \ --header 'content-type: application/json' \ --data '
{ "orderAcknowledgement": { "orderLines": { "orderLine": [ { "lineNumber": "string", "orderLineStatuses": { "orderLineStatus": [ { "status": "Acknowledged", "statusQuantity": { "unitOfMeasurement": "EACH", "amount": "string" } } ] }, "miscAttributes": { "miscAttribute": [ { "name": "PET_DETAILS", "details": { "detail": [ { "key": "PET_FIRST_NAME", "value": "string" } ] } } ] } } ] } }
}
'Modify your code
To send a successful acknowledgment request, replace the placeholder values in the request with information from the order you want to acknowledge.
- First, replace the
purchaseOrderIDin the endpoint with the actual purchase order ID. For example:
https://marketplace.walmartapis.com/v3/orders/309102965701490/acknowledgeLines - Next, update the
WM_MARKETheader to match the marketplace associated with the order. - In the request body:
- Replace
lineNumberwith the actual order-line number.
- Replace
- Set status to the applicable acknowledgment status. The sample uses Acknowledged.
- Replace the amount under
statusQuantitywith the quantity being acknowledged. - Keep
unitOfMeasurementset to the appropriate unit, such asEACH. - Populate
miscAttributesonly when the applicable order requires additional information, (for example,PET_DETAILSin the sample). - Make sure your request also includes the authentication information required for your Walmart Marketplace API integration before sending the request.
Response sample
application/json
200 - Sample 1-CA
{ "order": { "purchaseOrderId": "309102965701490", "customerOrderId": "701769585416393", "customerEmailId": "[email protected]", "orderDate": 1769585417393, "shippingInfo": { "phone": "4086228766", "estimatedDeliveryDate": 1769889600000, "estimatedShipDate": 1769670000000, "methodCode": "Express", "postalAddress": { "name": "geethanjali kunchepu", "address1": "1320 99 St NW", "address2": null, "city": "Edmonton", "state": "AB", "postalCode": "T6N 0A8", "country": "CA", "addressType": "RESIDENTIAL" }, "carrierMethodName": null }, "orderLines": { "orderLine": [ { "lineNumber": "1", "item": { "productName": "ANIMALPEDIGREEtwo", "sku": "EDF07661449630550" }, "charges": { "charge": [ { "chargeType": "PRODUCT", "chargeName": "ItemPrice", "chargeAmount": { "currency": "CAD", "amount": 200 }, "tax": { "taxName": "GST", "taxAmount": { "currency": "CAD", "amount": 10 } }, "isDiscount": false, "discountType": null }, { "chargeType": "SHIPPING", "chargeName": "SHIPPING", "chargeAmount": { "currency": "CAD", "amount": 16 }, "tax": { "taxName": "GST", "taxAmount": { "currency": "CAD", "amount": 0.8 } }, "isDiscount": false, "discountType": null }, { "chargeType": "PRODUCT", "chargeName": "ITEM_PRICE_AFTER_DISCOUNT", "chargeAmount": { "currency": "CAD", "amount": 200 }, "tax": { "taxAmount": { "currency": "CAD", "amount": 0 } }, "isDiscount": null, "discountType": null }, { "chargeType": "TAX", "chargeName": "TAX", "chargeAmount": { "currency": "CAD", "amount": 10.8 }, "tax": { "taxAmount": { "currency": "CAD", "amount": 0 } }, "isDiscount": false, "discountType": null } ] }, "orderLineQuantity": { "unitOfMeasurement": "EACH", "amount": "1" }, "orderLineStatuses": { "orderLineStatus": [ { "status": "Acknowledged", "subSellerId": null, "statusQuantity": { "unitOfMeasurement": "EACH", "amount": "1" }, "cancellationReason": null, "trackingInfo": null, "returnCenterAddress": null, "sellerOrderId": null, "shipmentPackages": null } ] }, "refund": null, "fulfillment": { "fulfillmentOption": "S2H", "shipMethod": "EXPEDITED", "storeId": null, "offerId": "46067EC8F029354ABC1668C9AFCCD106", "pickUpDateTime": null, "pickUpBy": null, "shippingProgramType": null, "predictedShipNodeId": "10011361291", "predictedShipNodeName": null } } ] } }
}200 - Sample 2-MX
{ "order": { "purchaseOrderId": "609102965701683", "customerOrderId": "900000059101224", "customerEmailId": "[email protected]", "kycDetails": { "kycIdType": "RFC", "kycIdValue": "VECJ880326XYZ" }, "orderDate": 1769598804989, "shippingInfo": { "phone": "4085872353", "estimatedDeliveryDate": 1770926400000, "estimatedShipDate": 1770916400000, "postalAddress": { "name": "Address One", "address1": "Blvd Manuel Avila Camacho", "address2": "641", "address3": "PERIODISTA", "address4": "MIGUEL HIDALGO", "city": "Ciudad de México", "state": "CDMX", "postalCode": "11220", "country": "MX", "addressType": null }, "carrierMethodName": null }, "totalLines": "1", "totalQuantity": "1", "orderLines": { "orderLine": [ { "primeLineNumber": "1", "coLineNumber": "1", "item": { "upc": "00240519834224", "offerId": "E7EEADA3338039A08155B4CB6F92E11E", "productName": "Ropa in Bulk WCP Item-2 RopaLatest", "sku": "sku-test-26-12", "condition": "New", "imageUrl": "https://example.com/images/mock-product-image.jpg", "unitPrice": { "currency": "MXN", "amount": 110 }, "unitPriceWithoutTax": { "currency": "MXN", "amount": 94.83 } }, "charges": { "charge": [ { "chargeType": "PRODUCT", "chargeAmount": { "currency": "MXN", "amount": 94.83 }, "tax": { "taxName": "TOTAL_TAX", "taxAmount": { "currency": "MXN", "amount": 15.17 } }, "taxDetails": [ { "taxName": "TOTAL_TAX", "taxAmount": { "currency": "MXN", "amount": 15.17 } } ], "isDiscount": null, "discountType": null } ] }, "orderLineQuantity": { "unitOfMeasurement": "EACH", "amount": "1" }, "orderLineStatuses": { "orderLineStatus": [ { "status": "Acknowledged", "subSellerId": null, "statusQuantity": { "unitOfMeasurement": "EACH", "amount": "1" }, "cancellationReason": null, "trackingInfo": null, "returnCenterAddress": null, "sellerOrderId": null, "shipmentPackages": null } ] }, "refund": null, "shippingMethod": "STANDARD", "soPrimeLineSubLineNo": "900000027694782-1-1", "promiseDeliveryDate": "2025-03-30T19:00:00.000+0000", "isMSIEnabled": "N", "seller": { "id": "30000251268", "name": "Mexico test center", "shipNodeType": "SellerFulfilled" }, "isWFSEnabled": "N", "fulfillmentType": "S2H" } ] }, "shipments": [ { "shipmentLines": [ { "primeLineNo": "1", "shipmentLineNo": "1", "quantity": { "unitOfMeasurement": "EACH", "amount": "1" }, "shipFromCountry": "MX" } ], "shipmentNo": "0d660250-6746-4bfc-9979-8fddc39c5b9a", "status": "Shipment Acknowledged", "packageNo": "0d660250-6746-4bfc-9979-8fddc39c5b9a", "isSellerOwnedShipment": "N", "carrier": "MX-FDX-GROUND2 Sun", "trackingNumber": "101129457950", "shipmentAdditionalDate": { "expectedShipmentShippedDate": "2025-03-16T09:16:30.000+0000" }, "trackingURL": "https://example.com/track?number=794644792798" } ], "orderTotal": { "currency": "MXN", "amount": 110 } }
}200 - Sample 3-CL
{ "order": { "purchaseOrderId": "P100646243", "customerOrderId": "2282547049143", "isWCPOrder": true, "orderDate": 1738172349000, "shippingInfo": { "phone": "+56567657687", "estimatedDeliveryDate": 1738450800000, "estimatedShipDate": 1738216800000, "methodCode": "STANDARD", "postalAddress": { "name": "user chile", "address1": "Rosario Sur", "address2": "615", "city": "Las Condes", "state": "Región Metropolitana", "country": "CL", "addressType": null }, "carrierMethodName": null }, "orderSummary": { "totalAmount": { "amount": 62805, "currency": "CLP" }, "orderSubTotal": [ { "subTotalType": "SHIPPING", "totalAmount": { "amount": 0, "currency": "CLP" } }, { "subTotalType": "TAX", "totalAmount": { "amount": 3176, "currency": "CLP" } }, { "subTotalType": "PRODUCT", "totalAmount": { "amount": 59629, "currency": "CLP" } }, { "subTotalType": "DISCOUNT", "totalAmount": { "amount": 0, "currency": "CLP" } } ] }, "orderLines": { "orderLine": [ { "lineNumber": "1", "item": { "productName": "Pantalon deportivo largo", "sku": "SKU11092024344518" }, "charges": { "charge": [ { "chargeType": "PRODUCT", "chargeName": "ItemPrice", "chargeAmount": { "currency": "CLP", "amount": 21681 }, "tax": { "taxName": "IVA_TAX", "taxAmount": { "currency": "CLP", "amount": 4119 } }, "isDiscount": null, "discountType": null }, { "chargeType": "COMMISSION", "chargeName": "Commission", "chargeAmount": { "currency": "CLP", "amount": 10836 }, "tax": { "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null }, { "chargeType": "SHIPPING", "chargeName": "Shipping", "chargeAmount": { "currency": "CLP", "amount": 0 }, "tax": { "taxName": "SHIP_IVA_TAX", "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null }, { "chargeType": "TAX", "chargeName": "TAX", "chargeAmount": { "currency": "CLP", "amount": 4119 }, "tax": { "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null }, { "chargeType": "DISCOUNT", "chargeName": "DISCOUNT", "chargeAmount": { "currency": "CLP", "amount": 0 }, "tax": { "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null } ] }, "orderLineQuantity": { "unitOfMeasurement": "EACH", "amount": "3" }, "statusDate": 1738450800000, "orderLineStatuses": { "orderLineStatus": [ { "status": "Acknowledged", "subSellerId": null, "statusQuantity": { "unitOfMeasurement": "EACH", "amount": "3" }, "cancellationReason": null, "trackingInfo": { "carrierName": { "otherCarrier": null, "carrier": null }, "methodCode": "STANDARD", "carrierMethodCode": null, "trackingURL": null, "packageStatus": null, "actualDeliveryDateTime": null }, "returnCenterAddress": null, "sellerOrderId": null, "shipmentPackages": null } ] }, "refund": null, "fulfillment": { "fulfillmentOption": "Seller", "shipMethod": "STANDARD", "storeId": "10900042217", "offerId": "7ECF0FBD28483B1BAEE8A642B4AF9186", "pickUpDateTime": null, "pickUpBy": null, "shippingProgramType": null, "predictedShipNodeId": "10900042217", "predictedShipNodeName": "LABORATORIO BALLERINA LTDAjj" } }, { "lineNumber": "2", "item": { "productName": "Pantalon deportivo largo", "sku": "SKU11092024344518" }, "charges": { "charge": [ { "chargeType": "PRODUCT", "chargeName": "ItemPrice", "chargeAmount": { "currency": "CLP", "amount": 37948 }, "tax": { "taxName": "IVA_TAX", "taxAmount": { "currency": "CLP", "amount": 7212 } }, "isDiscount": null, "discountType": null }, { "chargeType": "COMMISSION", "chargeName": "Commission", "chargeAmount": { "currency": "CLP", "amount": 28902.4 }, "tax": { "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null }, { "chargeType": "SHIPPING", "chargeName": "Shipping", "chargeAmount": { "currency": "CLP", "amount": 0 }, "tax": { "taxName": "SHIP_IVA_TAX", "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null }, { "chargeType": "TAX", "chargeName": "TAX", "chargeAmount": { "currency": "CLP", "amount": 7212 }, "tax": { "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null }, { "chargeType": "DISCOUNT", "chargeName": "DISCOUNT", "chargeAmount": { "currency": "CLP", "amount": 0 }, "tax": { "taxAmount": { "currency": "CLP", "amount": 0 } }, "isDiscount": null, "discountType": null } ] }, "orderLineQuantity": { "unitOfMeasurement": "EACH", "amount": "4" }, "statusDate": 1738450800000, "orderLineStatuses": { "orderLineStatus": [ { "status": "Acknowledged", "subSellerId": null, "statusQuantity": { "unitOfMeasurement": "EACH", "amount": "4" }, "cancellationReason": null, "trackingInfo": { "carrierName": { "otherCarrier": null, "carrier": null }, "methodCode": "STANDARD", "carrierMethodCode": null, "trackingURL": null, "packageStatus": null, "actualDeliveryDateTime": null }, "returnCenterAddress": null, "sellerOrderId": null, "shipmentPackages": null } ] }, "refund": null, "fulfillment": { "fulfillmentOption": "Seller", "shipMethod": "STANDARD", "storeId": "10900042217", "offerId": "7ECF0FBD28483B1BAEE8A642B4AF9186", "pickUpDateTime": null, "pickUpBy": null, "shippingProgramType": null, "predictedShipNodeId": "10900042217", "predictedShipNodeName": "LABORATORIO BALLERINA LTDAjj" } } ] } }
}400
{ "errors": [ { "code": "INVALID_REQUEST_CONTENT.GMP_ORDER_API", "description": "Invalid request content.", "info": "Request content is not valid.", "severity": "ERROR", "category": "DATA" } ]
}401
{ "errors": [ { "code": "UNAUTHORIZED.GMP_ORDER_API", "description": "Unauthorized request.", "info": "Authentication failed. Verify your credentials.", "severity": "ERROR", "category": "APPLICATION" } ]
}403
{ "errors": [ { "code": "FORBIDDEN.GMP_ORDER_API", "description": "Access denied.", "info": "You do not have permission to perform this action.", "severity": "ERROR", "category": "APPLICATION" } ]
}404
{ "errors": [ { "code": "NOT_FOUND.GMP_ORDER_API", "description": "Resource not found.", "info": "The requested purchase order was not found.", "severity": "ERROR", "category": "DATA" } ]
}429
{ "code": "REQUEST_THRESHOLD_VIOLATED", "description": "Too many requests in a given amount of time.", "info": "You have exceeded the rate limit for this API. Retry after the time indicated in the Retry-After header.", "severity": "ERROR", "category": "SYSTEM", "causes": [], "errorIdentifiers": {}, "field": "RateLimitExceeded"
}500
{ "errors": [ { "code": "INTERNAL_SERVER_ERROR.GMP_ORDER_API", "description": "An internal server error occurred.", "info": "Retry the request. If the issue persists, contact support.", "severity": "ERROR", "category": "SYSTEM" } ]
}Result
A successful 200 response confirms the order information is returned with the order line status set to Acknowledged.
The response can contain:
- Order information: The purchase order ID, customer order ID, customer email, and order date.
- Shipping information: Estimated ship date, delivery date, shipping method, and destination address.
- Order line information: Product details, SKU, quantity, and charges.
- Acknowledgment status: Acknowledgement of the quantity and status for the order line.
- Fulfillment information: Fulfillment option, shipping method, seller or fulfillment node, and related details.
- Shipment information: The MX sample includes shipment number, package number, shipment status, carrier, tracking number, and tracking URL.
- Marketplace-specific fields: May differ between CA, MX, and CL responses.
The API may return the following errors:
- 400 — Invalid request: The request content is not valid.
- 401 — Unauthorized: Authentication failed. Verify the credentials and authentication information.
- 403 — Forbidden: The caller does not have permission to perform the requested action.
- 404 — Not Found: The specified purchase order was not found.
- 429 — Too Many Requests: The API rate limit has been exceeded. Retry after the interval specified by the Retry-After header.
- 500 — Internal Server Error: An internal server error occurred.
Next steps
After successfully acknowledging the order lines, use the returned order information to continue processing the order.
Review the acknowledged order-line status and quantity, then proceed with the applicable fulfillment and shipping workflow. Use the shipment and tracking information returned for marketplaces where it is available, and monitor subsequent order-status updates as the order moves through fulfillment.
Updated about 18 hours ago

